#ifndef __SMARTT_UTILS_H
#define __SMARTT_UTILS_H


#include <unistd.h>
#include <stdio.h>
#include <sys/stat.h>
#include <sys/statfs.h>
#include <fcntl.h>
#include <stdbool.h>
#include <stddef.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <errno.h>
#include <limits.h>
#include <sys/param.h>
#include <sys/types.h>
#include <dirent.h>
#include <sys/time.h>
#include <time.h>
#include <signal.h>
#include <fnmatch.h>
#include <assert.h>
#include <regex.h>
#include <utime.h>
#include <sys/wait.h>
#include <sys/poll.h>
#include <sys/socket.h>
#include <sys/ioctl.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <pwd.h>
#include <inttypes.h>


typedef signed char    t_int8;
typedef unsigned char t_uint8;


#define ADD_SPACES_1 " "
#define ADD_SPACES_2 "  "
#define ADD_SPACES_3 "   "
#define ADD_SPACES_4 "    "
#define ADD_SPACES_5 "     "
#define ADD_SPACES_6 "      "
#define ADD_SPACES_7 "       "
#define ADD_SPACES_8 "        "
#define ADD_SPACES_9 "         "


void  smartt_util_exec(char *line);
void  smartt_util_parse(char *line, char **argv);
void  smartt_util_execute(char **argv);

#endif /*__SMARTT_UTILS_H*/
