
#ifndef __PERF_CONNECT_H
#define __PERF_CONNECT_H

typedef unsigned int t_pid;

struct s_system_stat {
    t_pid                  pid;
    unsigned long int      cpu_cycles;
    unsigned long int      instructions;                      
    unsigned long int      bus_cycles;                                
    unsigned long int      cache_misses;                              
    unsigned long int      branches;
    unsigned long int      time_stamp;
};



void SMARTTperf_Connect(void);
void SMARTTperf_StatPid(pid_t *);
void SMARTTperf_StatMetrics(double *,const char *);
void SMARTTperf_SendData(void);

#endif /* __PERF_CONNECT_H */
